package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.MedCodeNameHerbFangJiClass;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
@NodeEntity(label = "中成药方剂学类别")
public class HerbFangJiClass extends BaseNode  {


	@Relationship(type = "药品相关中成药方剂学类别", direction = Relationship.INCOMING)
	private Set<MedCodeNameHerbFangJiClass> medcodenameHerbFangJiClass = new HashSet<>();

}