package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.MedCodeNameMedYiBaoClass;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
@NodeEntity(label = "药品医保类别")
public class MedYiBaoClass extends BaseNode  {


	@Relationship(type = "药品相关药品医保类别", direction = Relationship.INCOMING)
	private Set<MedCodeNameMedYiBaoClass> medcodenameMedYiBaoClasss = new HashSet<>();

}