package com.diagbot.entity.relationship;

import com.diagbot.entity.node.PacsDescribe;
import com.diagbot.entity.node.YiBaoOperationName;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.EndNode;
import org.neo4j.ogm.annotation.RelationshipEntity;
import org.neo4j.ogm.annotation.StartNode;

@Getter
@Setter@RelationshipEntity(type = "医保手术和操作名称禁忌辅助检查名称描述")
public class YiBaoOperationNamePacsDescribe extends BaseRelation {
    @StartNode
    private YiBaoOperationName yiBaoOperationName;

    @EndNode
    private PacsDescribe pacsDescribe;
}