package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.CaseResultDTO;
import com.diagbot.entity.ResultInfo;
import com.diagbot.mapper.ResultInfoMapper;
import com.diagbot.service.ResultInfoService;
import com.diagbot.vo.RuleTestVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2021-01-06
 */
@Service
public class ResultInfoServiceImpl extends ServiceImpl<ResultInfoMapper, ResultInfo> implements ResultInfoService {

    public List<CaseResultDTO> getCaseResultList(RuleTestVO ruleTestVO) {
        return baseMapper.getCaseResultList(ruleTestVO);
    }
}
