package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.MedCodeNameHerbFangJiCate;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
@NodeEntity(label = "中成药方剂学大类")
public class HerbFangJiCate extends BaseNode  {


	@Relationship(type = "药品相关中成药方剂学大类", direction = Relationship.INCOMING)
	private Set<MedCodeNameHerbFangJiCate> medCodeNameHerbFangJiCates = new HashSet<>();

}