package com.diagbot.entity.relationship;

import com.diagbot.entity.node.CombiOperation;
import com.diagbot.entity.node.PacsDescribe;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.EndNode;
import org.neo4j.ogm.annotation.RelationshipEntity;
import org.neo4j.ogm.annotation.StartNode;

@Getter
@Setter@RelationshipEntity(type = "联合项目禁忌辅助检查名称描述")
public class CombiOperationPacsDescribe extends BaseRelation {
    @StartNode
    private CombiOperation combiOperation;

    @EndNode
    private PacsDescribe pacsDescribe;
}