package com.diagbot.entity.relationship;

import com.diagbot.entity.node.Group;
import com.diagbot.entity.node.MedRegName;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.EndNode;
import org.neo4j.ogm.annotation.RelationshipEntity;
import org.neo4j.ogm.annotation.StartNode;

@Getter
@Setter@RelationshipEntity(type = "药品注册名称禁忌禁忌人群")
public class MedRegNameGroup extends BaseRelation {
    @StartNode
    private MedRegName medRegName;

    @EndNode
    private Group group;
}