package com.diagbot.entity.relationship;

import com.diagbot.entity.node.Disease;
import com.diagbot.entity.node.PacsName;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.EndNode;
import org.neo4j.ogm.annotation.Property;
import org.neo4j.ogm.annotation.RelationshipEntity;
import org.neo4j.ogm.annotation.StartNode;

@Getter
@Setter@RelationshipEntity(type = "辅助检查名称禁忌疾病")
public class PacsNameDisease extends BaseRelation {
    @StartNode
    private PacsName pacsName;

    @Property(name = "匹配")
    private Integer exactMatch;

    @EndNode
    private Disease disease;
}